Some notes

```
adduser oneadmin

apk add libvncserver-dev libvncserver \
gnutls gnutls-dev libnsl libnsl-dev \
alpine-sdk linux-headers openssl-dev \
make npm ronn sqlite-dev czmq-dev \
mariadb-dev mariadb-server-utils mariadb-client \
ruby-dev libxml2 libxml2-dev libxml2 libxml2-dev \
xmlrpc-c xmlrpc-c-dev g++ scons bash

apk add python2 ruby-nokogiri ruby-rexml \
ruby-xmlrpc ruby-bundler ruby-pg ruby-augeas augeas-dev \
libpg_query curl-dev libpq-dev


git clone https://github.com/OpenNebula/one.git
cd one

vim src/svncterm_server/genfont.c

```
#include <stdint.h>

typedef uint16_t u_int16_t;

```

#scons -j2  sqlite=no mysql=yes systemd=no svncterm=yes
npm config set python python2.7
npm install bower grunt -g
CXXFLAGS="--std=c++14" scons -j2 new_xmlrpc=yes mysql=yes sqlite=yes sunstone=yes systemd=no

cd /root/one/share/man/
./build.sh

cd ~/one/src/fireedge/
./build.sh

cd ~/one
./install.sh -u oneadmin -g oneadmin

# from local user
bundler install --gemfile /usr/share/one/Gemfile



apk add shadow

usermod -m -d /var/lib/one oneadmin

mkdir -p /var/lib/one/.one/
echo 'oneadmin:oneadm1n' >> /var/lib/one/.one/one_auth

chown oneadmin:oneadmin -R /var/log/one /var/lib/one /run/one /run/lock/one



###########################################



!!! apt install libczmq-dev !!!


 apk add python2
 npm config set python python2.7
 cd /usr/lib/one/sunstone/public
 CXXFLAGS="--std=c++14" npm install
 # не обязательно(?)
 npm audit fix --force 
 
 
 ./build



echo 'oneadmin:black' > /var/lib/one/.one/one_auth

```
